import { html, ref, repeat } from '@microsoft/fast-element';
export const getErrorDialogTemplate = (prefix) => html `
  <${prefix}-dialog show-close-icon="false" ${ref('dialog')}>
    <h2 slot="top" class="title">${(x) => { var _a; return (_a = x.error) === null || _a === void 0 ? void 0 : _a.title; }}</h2>
    <div class="details">${(x) => { var _a; return ((_a = x.error) === null || _a === void 0 ? void 0 : _a.errorDetails) || 'Place holder for error message'; }}</div>
    <${prefix}-button slot="bottom" appearance="lightweight" @click=${(x) => {
    x.dismiss();
}}>
      ${(x) => { var _a, _b, _c, _d; return ((_d = (_c = (_b = (_a = x.error) === null || _a === void 0 ? void 0 : _a.config) === null || _b === void 0 ? void 0 : _b.dialog) === null || _c === void 0 ? void 0 : _c.dismissingAction) === null || _d === void 0 ? void 0 : _d.label) || 'Ignore'; }}
    </${prefix}-button>
    ${repeat((x) => { var _a, _b; return (_b = (_a = x.error) === null || _a === void 0 ? void 0 : _a.config) === null || _b === void 0 ? void 0 : _b.dialog.confirmingActions; }, html `
        <${prefix}-button
          slot="bottom"
          appearance="lightweight"
          @click=${(x, c) => {
    x === null || x === void 0 ? void 0 : x.action();
    c.parent.closeDialog();
}}
        >
          ${(x) => x.label}
        </${prefix}-button>
      `)}
  </${prefix}-dialog>
`;
export const errorDialogTemplate = html `
  ${(x) => getErrorDialogTemplate(x.tagName.toLowerCase().split('-')[0])}
`;
